﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using PhonenumberTaks.Resources;
using Microsoft.Phone.Tasks;

namespace PhonenumberTaks
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }


        //Save phone number Task
        private void Save_phone_number(object sender, RoutedEventArgs e)
        {
            SavePhoneNumberTask notask = new SavePhoneNumberTask();
            notask.PhoneNumber = "9877283383";
            notask.Completed += new EventHandler<TaskEventArgs>(savePhoneNumberTask_Completed); 

            //launch the task
            notask.Show();
        }

        //Task completed event handler
        private void savePhoneNumberTask_Completed(object sender, TaskEventArgs e)
        {
            //Check whether task executed successfully
            if (e.TaskResult == TaskResult.OK)
            {
                MessageBox.Show("Task executed Sucessfully");
            }
            
        }

        //Phone call task
        private void Phone_call_task_launch(object sender, RoutedEventArgs e)
        {
            PhoneCallTask calltask = new PhoneCallTask();
            
            //Set the different properties
            calltask.PhoneNumber = "97283373394";
            calltask.DisplayName = "Chetan";
            
            //launch the task
            calltask.Show();
        }

        //Message compose task
        private void Message_compose_task(object sender, RoutedEventArgs e)
        {
            SmsComposeTask smstask = new SmsComposeTask();
            
            //Set different properties
            smstask.To = "9374837484";
            smstask.Body = "hi";

            //launch the task
            smstask.Show();
        }


        //Phone number chooser
        private void Phone_number_chooser_task(object sender, RoutedEventArgs e)
        {
            PhoneNumberChooserTask choosetask = new PhoneNumberChooserTask();

            choosetask.Completed += new EventHandler<PhoneNumberResult>(phoneNumberChooserTask_Completed); 

            //launch the task
            choosetask.Show();

        }

        //Taks complted event handler
        private void phoneNumberChooserTask_Completed(object sender, PhoneNumberResult e)
        {
            if (e.TaskResult == TaskResult.OK)
            {
                //now you can perfrom any task like sms task with the choosen no
                SmsComposeTask ss = new SmsComposeTask();
                ss.To = e.PhoneNumber;
                ss.Show();
            }

        }

        //Save contact task
        private void Save_contact_task(object sender, RoutedEventArgs e)
        {
            SaveContactTask save = new SaveContactTask();
            
            //Set different properties
            save.FirstName = "Chetan";
            save.MobilePhone = "9273832333";
            //It has got more properties

            //launch the task
            save.Show();

        }

        

        

     
    }
}